﻿* {
    font-family: "Noto Sans HK",sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
}

html, body {
    height: 100%;
    margin: 0;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background: linear-gradient(to bottom, #ffd100 300px, #ffffff 300px);
}
a{
    text-decoration:none;
}
.footer-link {
    color: #c1BeBe;
}
.footer-link:hover  {
    text-decoration: underline;
    color: #c1BeBe;
}
main {
    flex: 1;
}
.burger-color {
    color: black;
}
    .burger-color.active {
        color: white;
    }
.header-page {
    margin-left: 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.page-title {
    font-size: 4rem !important;
    font-weight: 500
}
.btn-group-header {
    display: flex;
    gap: 30px;
    padding-right: 100px;
}
.caja-info {
    background-color: #ffffff;
    width: 100%;
    font-size: 26px;
}

.texto_corrido {
    font-weight: 500;
}

#btnDescargar {
    background-color: #353535;
    color: #ffffff;
    padding: 12px 24px;
    font-size: 16px;
    font-weight: 600;
    text-align: center;
    border: none;
    cursor: pointer;
    text-decoration: none;
    box-sizing: border-box;
    display: inline-block;
    margin: 20px auto;
}

    #btnDescargar:hover {
        background-color: #ffd100;
        color: black;
    }

.logo_hesperides {
    width: 150px;
    height: 100px;
}

.steps-section {
    width: 100%;
    background: #fff;
}

.btn-enlace {
    height: 40px;
    background-color: black;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
    color: white;
    font-size: 14px;
}

    .btn-enlace:hover {
        background-color: white;
        color: black;
    }

main {
    flex: 1;
}

.form-control {
    font-size: 14px !important;
}

#barraaceptacion {
    display: none;
    position: fixed;
    left: 0px;
    right: 0px;
    bottom: 0px;
    padding-bottom: 20px;
    width: 100%;
    text-align: center;
    min-height: 40px;
    background-color: rgba(0, 0, 0, 0.5);
    color: #fff;
    z-index: 99999;
}

.border_caja {
    color: #131313;
    border: 0;
}

.container-message {
    display: flex;
    flex-direction: column;
    align-items: center;
}

    .container-message > div {
        width: 100%;
    }

.footer-container {
    background-color: #343434;
    color: #c1BeBe;
    padding: 20px;
    margin-top: auto;
}

.footer-row {
    display: flex;
    flex-direction: row;
    width: 100%;
}

.contact-social-networks {
    align-items: center;
    align-self: flex-end;
    display: flex;
    justify-content: flex-end;
    width: 100%;
    margin-top: 10px;
    gap: 20px;
}

h1 {
    font-size: 3.5rem;
}

h1, .h1, h2, .h2, h3, .h3 {
    margin-top: 20px;
    margin-bottom: 10px;
    font-weight: 400;
}

p {
    margin: 0 0 10px;
    display: block;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    unicode-bidi: isolate;
    text-align: left;
}

* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.fl-icon > a > i {
    color: white;
    font-size: 22px;
}

.form-horizontal .form-group {
    margin: 0;
}

.form-group {
    width: 800px;
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.doc-pasos-title {
    font-size: 2.5rem;
    background-color: #ffd100;
    padding: 5px 5px 5px 0;
}

.doc-pasos {
    margin-top: 50px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
}

    .doc-pasos > div {
        display: flex;
        flex-direction: column;
    }

.doc-pasos-verif {
    margin-top: 50px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
}

.input-group .form-control {
    width: 101.5% !important;
}
@media (max-width: 1024px) {
    .btn-enlace {
        height: 30px;
      
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 5px;
        color: white;
        font-size: 10px;
    }
    .texto_corrido {
font-size:18px;
    }
    .form-group {
        width: 700px;
        display: flex;
        justify-content: center;
        flex-direction: column;
    }
    #btnDescargar {
        font-size: 12px;
    }

    .form-control {
        font-size: 12px !important;
    }

    .footer-row {
        display: flex;
        width: 100%;
        flex-direction: column;
        align-items: center;
    }
}
@media (max-width: 768px) {
    h1 {
        font-size: 2.5rem !important;
    }

    #btnDescargar {
        font-size: 12px;
    }
    .btn-group-header {
        display: flex;
        gap: 20px;
        padding-right: 0px;
    }
    .btn-enlace {
        height: 20px;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 5px;
        color: white;
        font-size: 8px;
    }
    .form-control {
        font-size: 12px !important;
    }

    .footer-row {
        display: flex;
        width: 100%;
        flex-direction: column;
        align-items: center;
    }
}
@media (max-width: 768px) {
   
    .form-group {
        width: 500px;
        display: flex;
        justify-content: center;
        flex-direction: column;
    }
}
/* BURGER oculto en desktop */
.burger {
    display: none;
    font-size: 28px;
    cursor: pointer;
    padding: 10px;
}

.burger {
    display: none;
    font-size: 28px;
    cursor: pointer;
    padding: 10px;
    z-index: 1001;
}

/* PANEL LATERAL */
.side-menu {
    position: fixed;
    top: 0;
    right: -400px; /* oculto fuera de pantalla */
    width: 250px;
    height: 100vh;
    background: #000;
    display: flex;
    flex-direction: column;
    padding-top: 100px;
    transition: right 0.3s ease;
    z-index: 1000;
}
@media (max-width: 768px) {

    .burger {
        display: block;
    }

    .btn-group-header {
        position: fixed;
        top: 0;
        right: -400px;
        width: 400px;
        height: 100vh;
        background: black;
        flex-direction: column;
        padding-top: 60px;
        transition: right 0.3s ease;
        z-index: 1000;
    }

        .btn-group-header.active {
            right: 0;
        }
}
    /* cuando está abierto */
    .side-menu.active {
        right: 0;
    }

    /* botones dentro */
    .side-menu .btn-enlace {
        width: 100%;
        justify-content: space-between;
        padding: 20px;
        border-bottom: 1px solid #333;
    }
@media (min-width: 769px) {
    .btn-group-header {
        position: static;
        height: auto;
        width: auto;
        background: none;
        flex-direction: row;
    }
}
/* SOLO MOBILE */
@media (max-width: 768px) {
    .page-title {
        font-size: 2.5rem !important;
    }
    .texto_corrido {
        font-size: 16px;
    }
    .burger {
        display: block;
    }
    .doc-pasos-verif {
        margin-top: 50px;
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 40px;
    }
    .doc-pasos {
        margin-top: 50px;
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 40px;
    }
    .btn-group-header {
        display: none; /* ocultas los originales */
    }
    .doc-pasos-title {
        font-size: 1.5rem;
        background-color: #ffd100;
        padding: 5px;
    }
}
